Package com.xebialabs.xlrelease.domain.configuration

# Enum Class HttpConnection.OAuth2GrantType

java.lang.Object
java.lang.Enum<HttpConnection.OAuth2GrantType>
com.xebialabs.xlrelease.domain.configuration.HttpConnection.OAuth2GrantType

All Implemented Interfaces:
  `Serializable`, `Comparable<HttpConnection.OAuth2GrantType>`, `Constable`

Enclosing class:
  `HttpConnection`

public static enum HttpConnection.OAuth2GrantType extends Enum<HttpConnection.OAuth2GrantType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ClientCredentials`
  `Password`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static HttpConnection.OAuth2GrantType`
  `getOAuth2GrantTypeOf(String name)`
  `static HttpConnection.OAuth2GrantType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static HttpConnection.OAuth2GrantType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Password

    public static final HttpConnection.OAuth2GrantType Password

  - ### ClientCredentials

    public static final HttpConnection.OAuth2GrantType ClientCredentials

- ## Method Details

  - ### values

    public static HttpConnection.OAuth2GrantType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static HttpConnection.OAuth2GrantType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getOAuth2GrantTypeOf

    public static HttpConnection.OAuth2GrantType getOAuth2GrantTypeOf(String name)